package com.zsc.edu.gateway.modules.operationLog.dto;

import com.zsc.edu.gateway.modules.operationLog.entity.OperationLog;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * @author zhuang
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class OperationLogDto {
    /**
     * 模块类型
     */
    private OperationLog.ModelType modelType;

    /**
     * 操作类型
     */
    private OperationLog.OperationType operationType;

    /**
     * 操作内容
     */
    private String content;

    /**
     * 操作时间
     */
    private LocalDateTime makeTime;
}
